<?php
			include("corps_html_bis.php");
	
			session_start();
			include('database.php');
			DB_connexion(); 

			$tab_projet= array();
			$ligne_par_page = 8;
			$selection = false;
			
			
			$table = "ncp1864_data";
			$requete = "SELECT * FROM $table";
			$retour = mysql_query($requete);										
			while($data=mysql_fetch_assoc($retour)) 
			{	
				$nom_bloc = $data["nom_bloc"];
				$owner = $data["owner"];
				$infos = $data["infos"];
				echo $nom_bloc;
			}
				
			if( !isset($_POST['statut']) && !isset($_GET['position']) )
			{ 
				$statut = "tous";
				$requete = "SELECT * FROM projet";
				$result = mysql_query($requete);
				$nb_enregistrement = mysql_num_rows($result);
				//echo "<BR>";
				//echo "par défaut";
				//echo "</BR>";
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}	
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
				echo "111111111111111";
			}    	
	  	
			if( isset($_GET['page']) ) 	
			{  
				//echo "<BR>";
				//echo "pagination";
				//echo "</BR>";
				$requete = "SELECT * FROM projet";
				$result = mysql_query($requete);
				$nb_enregistrement = mysql_num_rows($result);
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}
	      
				$pageActuelle = $_GET['page']; 
				//echo "<BR>";
				//echo "---->  " .$pageActuelle;
				//echo "</BR>";
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
				echo "222222222222222222222";

			}	 
	  
			if( isset($_GET['nom_projet'] )  && $_GET['mot'] != ""  ) 	
			{  
				$nom_projet = $_GET['mot'];	
				//echo "<BR>";
				//echo "Recherche  " .$nom_projet;
				//echo "</BR>";
				$nombre_pages = 1;
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
				$selection = true;
				echo "33333333333333333333333";

			}
	  
	  
			if( isset($_GET['nom_projet'] )  && $_GET['mot'] == ""  ) 	
			{	 
				if( $_GET['nom_projet'] == "--[ Tous ]--")
				{ 
					$nom_projet = $_GET['nom_projet'];
				}	
	    		else
				{
					$nom_projet = $_GET['nom_projet'];
					$nombre_pages = 1;
					$pageActuelle=1; 
					$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
					$selection = true;
				} 
					echo "4444444444444444444444444444444";
					$flag = true;

				//echo "<BR>";
				//echo "Selection  " .$nom_projet;
				//echo "</BR>";
			}
	
?>	

<script>

</script>

<style>
textarea {
   resize: none;
}
</style>

<body>

	<div class="layout">

<?php
	include("header.php");
?>	
		
<!-- Main -->
		<div class="main">
			<div class="container">
				<div class="row">
				
				<div class="col-md-8">
						<!-- Content -->
						<div class="content">
							<div class="page-header">
								<!--<h3>Interface du gestionnaire de projets</h3> -->
								<h2><i class="icon-bullhorn"></i> <span>Liste des blocs</span></h2>
							</div>
								
							<!-- Single Page -->
							<div class="page">
								
							<div class="examples">
							
							<!------>
							
							<form action="" method="GET" name="form_lister_projet">  &nbsp;&nbsp;&nbsp;
							Choisir un projet :
			
<?php				
							echo " <select name='nom_projet' size='1' onChange='submit()' id=''>  ";
  		  	
							if($nom_projet != "")
							{
								echo "<option selected='selected' value='--[ Tous ]--'>$nom_projet</option> ";
								echo "<option value='--[ Tous ]--'>--[ Tous ]--</option> ";
							}
							
							if($nom_projet == "")
							{
								echo "<option selected='selected' value='--[ Tous ]--'>--[ Tous ]--</option> ";
							}
							
/******************************/								
							
									// listing de tous les projets
									$sql = "SELECT * FROM projet"; 
									$req = mysql_query($sql); 
									while($resultat = mysql_fetch_row($req))
									{  
										$tab_projet[]= $resultat[1];
										echo '<option value="'.$resultat[1].'">'.$resultat[1]; 
										echo '</option>'; 
									} 
									echo '</select>'; 
							  
									echo "<br/><br/>";	
									
									//echo " <input type='text' name='mot'  value='' size='15'> ";
?>		    
									<!-- <input type="submit" value="Rechercher" alt="Lancer la recherche!"> -->
<?php							
							if($flag == true)	
							{	
?>							
									</form>

									<div id="list">
									<table align="left" bgcolor="#d5d5d5" border="0" cellpadding="5" cellspacing="1" width="100%">
									<tbody><tr bgcolor="#f1f3f5">
									<th align="left" width="15%">Nom</th>
									<th align="left" width="*%">Owner</th>
									<th align="left" width="*%">Date</th>
									<th align="left" width="*%">Planning</th>
									<th class="center" width="1%">Edition</th>
									<th class="center" width="1%">Effacer</th>
									</tr>

<?php

									if($selection == true)
									{
										$table = $_GET['nom_projet'] ."_data";
										$requete = "SELECT * FROM $table";	
										//$requete = "SELECT * FROM projet where nom_projet='$nom_projet'";	
										$retour = mysql_query($requete);
									}

									if($selection == false)
									{
										$table = $_GET['nom_projet'] ."_data";
										//$requete="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
										$requete="SELECT * FROM table ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
										$retour = mysql_query($requete);
									}

																			
									while($data=mysql_fetch_assoc($retour)) 
									{	
										$nom_bloc = $data["nom_bloc"];
										$owner = $data["owner"];
										$infos = $data["infos"];
										
										echo " 

										<tr class=\"row2\" onmouseover=\"this.className='highlight'\" onmouseout=\"this.className='row2'\">
										
										
										<td class='center' nowrap='nowrap'>
										<a href='edition_bloc.php?bloc=$nom_bloc&projet=$nom_projet'>$nom_bloc</a>
										</td>
								
										</td>
										
										
										<td class='center'>$owner</td>
										<td class='center'>$infos</td>
										
										<td class='center\" width='1%'>
										<a href='essai08.php?id=$id'>
										<img src='images/nb_article.png' alt='Plannifier' title='Plannifier'></a>
										</td>
										
										<td class='center' width='1%'>
										<a href='edition_projet.php?id=$id'>
										<img src='images/update.png' alt='Modifier' title='Modifier'></a>
										</td>
													
										<td class='center' width='1%'>
										<a href='supprimer_projet.php?nom=$nom'>
										<img src='images/delete.png' alt='Supprimer' title='Supprimer'></a>
										</td> ";
									}				

									echo "	<tr bgcolor=\"#f1f3f5\">
											<td colspan=\"16\" class=\"center\">&nbsp;</td>
											</tr>
										
											</tbody>
											</table>
									</div>  ";
							}
/******************************/								

								
								echo '<p align="center">Page : '; 
								
								for($i=1; $i<=$nombre_pages; $i++) 
								{    		      		
										if($i==$pageActuelle) //Si il s'agit de la page actuelle...
										{
											echo ' [ '.$i.' ] '; 
										}	
										else 
										{
											echo ' <a href="liste_projet.php?position='.$statut.'&page='.$i.'">'.$i.'</a> ';
										}
								}
								echo '</p>';
	        
?>
						
							<!------->
							
							</div>	
								
							<div class="clear"></div>

							<div class="clear"></div>
							</div>
							<!-- End Single Page -->
						</div>
						<!-- End Content -->
				</div>
					
				</div>
			</div>
		</div>
<!-- End Main -->
		
<?php
	include("footer.php");
?>		

	</div>

</body>
</html>
